define("tiny_cloze/ui",["exports","core/modal_events","core/modal","core/modal_factory","core/mustache","core/str","./common"],(function(_exports,_modal_events,_modal2,_modal_factory,_mustache,_str,_common){function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}
/**
   * Plugin tiny_cloze for TinyMCE v6 in Moodle.
   *
   * @module      tiny_cloze/ui
   * @copyright   2023 MoodleDACH
   * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
   */Object.defineProperty(_exports,"__esModule",{value:!0}),_exports.resolveSubquestion=_exports.onSubmit=_exports.onInit=_exports.onBeforeGetContent=_exports.displayDialogue=void 0,_modal_events=_interopRequireDefault(_modal_events),_modal2=_interopRequireDefault(_modal2),_modal_factory=_interopRequireDefault(_modal_factory),_mustache=_interopRequireDefault(_mustache);const isNull=a=>null==a,strdecode=t=>String(t).replace(/\\(#|\}|~)/g,"$1"),strencode=t=>String(t).replace(/(#|\}|~)/g,"\\$1"),indexOfNode=(list,node)=>{for(let i=0;i<list.length;i++)if(list[i]===node)return i;return-1},getUuid=function(){return isNull(crypto.randomUUID)?"ed-cloze-"+Math.floor(1e5*Math.random()).toString():crypto.randomUUID()},getFractionOptions=s=>{const attrSel=' selected="selected"';let isSel="="===s?attrSel:"",html='<option value="">'.concat(STR.incorrect,'</option><option value="="').concat(isSel,">").concat(STR.correct,"</option>");return FRACTIONS.forEach((item=>{isSel=item.value.toString()===s?attrSel:"",html+='<option value="'.concat(item.value,'"').concat(isSel,">").concat(item.value,"%</option>")})),isSel=""!==s&&-1===html.indexOf(attrSel)?attrSel:"",html+='<option value="'.concat("__custom__",'"').concat(isSel,">").concat(STR.custom_grade,"</option>"),html},isCustomGrade=s=>{if("="===s||""===s)return!1;let found=!1;return FRACTIONS.forEach((item=>{item.value.toString()===s&&(found=!0)})),!found},markerClass="cloze-question-marker",markerSpan='<span contenteditable="false" class="'+markerClass+'" data-mce-contenteditable="false">',reQtype=/\{([0-9]*):(MULTICHOICE(_H|_V|_S|_HS|_VS)?|MULTIRESPONSE(_H|_S|_HS)?|NUMERICAL|SHORTANSWER(_C)?|SAC?|NM|MWC?|M[CR](V|H|VS|HS)?):(.*?)\}/g,CSS={ANSWER:"tiny_cloze_answer",ANSWERS:"tiny_cloze_answers",ADD:"tiny_cloze_add",CANCEL:"tiny_cloze_cancel",DELETE:"tiny_cloze_delete",FEEDBACK:"tiny_cloze_feedback",FRACTION:"tiny_cloze_fraction",FRAC_CUSTOM:"tiny_cloze_frac_custom",LEFT:"tiny_cloze_col0",LOWER:"tiny_cloze_down",RIGHT:"tiny_cloze_col1",MARKS:"tiny_cloze_marks",DUPLICATE:"tiny_cloze_duplicate",RAISE:"tiny_cloze_up",SUBMIT:"tiny_cloze_submit",SUMMARY:"tiny_cloze_summary",TOLERANCE:"tiny_cloze_tolerance",TYPE:"tiny_cloze_qtype"},TEMPLATE={FORM:'<div class="tiny_cloze"><p>{{name}} ({{qtype}})</p><form name="tiny_cloze_form"><div class="row ml-0"><div class="form-group"><label for="{{elementid}}_mark">{{STR.defaultmark}}</label><input id="{{elementid}}_mark" type="text" value="{{marks}}" class="{{CSS.MARKS}} form-control d-inline mx-1" /><a class="{{CSS.ADD}}" title="{{STR.addmoreanswerblanks}}"><img class="icon_smallicon" src="'+M.util.image_url("t/add","core")+'" alt="{{STR.addmoreanswerblanks}}"></a></div><div class="msg-error hidden"></div></div><div class="{{CSS.ANSWERS}} mb-3"><ol class="pl-3">{{#answerdata}}<li class="mt-3"><div class="row ml-0"><div class="{{CSS.LEFT}} form-group"><label for="{{id}}_answer">{{STR.answer}}</label><input id="{{id}}_answer" type="text" value="{{answer}}" class="{{CSS.ANSWER}} form-control d-inline mx-2" /></div><div class="{{CSS.LEFT}} form-group"><a class="{{CSS.ADD}}" title="{{STR.addmoreanswerblanks}}"><img class="icon_smallicon" src="'+M.util.image_url("t/add","core")+'" alt="{{STR.addmoreanswerblanks}}"></a><a class="{{CSS.DELETE}}" title="{{STR.delete}}"><img class="icon_smallicon" src="'+M.util.image_url("t/delete","core")+'" alt="{{STR.delete}}"></a><a class="{{CSS.RAISE}}" title="{{STR.up}}"><img class="icon_smallicon" src="'+M.util.image_url("t/up","core")+'" alt="{{STR.up}}"></a><a class="{{CSS.LOWER}}" title="{{STR.down}}"><img class="icon_smallicon" src="'+M.util.image_url("t/down","core")+'" alt="{{STR.down}}"></a></div></div>{{#numerical}}<div class="row"><div class="{{CSS.RIGHT}} form-group"><label for="{{id}}_tolerance">{{{STR.tolerance}}}</label><input id="{{id}}_tolerance" type="text" value="{{tolerance}}" class="{{CSS.TOLERANCE}} form-control d-inline mx-2" /></div></div>{{/numerical}}<div class="row"><div class="{{CSS.RIGHT}} form-group"><label for="{{id}}_feedback">{{STR.feedback}}</label><input id="{{id}}_feedback" type="text" value="{{feedback}}" class="{{CSS.FEEDBACK}} form-control d-inline mx-2" /></div><div class="{{CSS.RIGHT}} form-group"><label id="{{id}}_grade">{{STR.grade}}</label><select id="{{id}}_grade" class="{{CSS.FRACTION}} custom-select mx-2">{{{fractionOptions}}}</select></div><div class="{{CSS.RIGHT}} form-group{{^isCustomGrade}} hidden{{/isCustomGrade}}"><input id="{{id}}_grade_custom" type="text"{{#isCustomGrade}} value="{{fraction}}"{{/isCustomGrade}} class="{{CSS.FRAC_CUSTOM}} form-control d-inline mx-2" style="width: 4rem;" />%</div></div></li>{{/answerdata}}</ol></div></form></div>',TYPE:'<div class="tiny_cloze mt-0 mx-2 mb-2"><p>{{STR.chooseqtypetoadd}}</p><form name="tiny_cloze_form"><div class="{{CSS.TYPE}} form-check">{{#types}}<div class="option"><input name="qtype" id="qtype_qtype_{{type}}" value="{{type}}" type="radio" class="form-check-input"><label for="qtype_qtype_{{type}}"><span class="typename">{{type}}</span><span class="{{CSS.SUMMARY}}"><h6>{{name}}</h6><p>{{summary}}</p><ul>{{#options}}<li>{{.}}</li>{{/options}}</ul></span></label></div>{{/types}}</div></form></div>',FOOTER:'<button type="button" class="btn btn-secondary" data-action="cancel">{{cancel}}</button><button type="button" class="btn btn-primary" data-action="save">{{submit}}</button>'},FRACTIONS=[{value:100},{value:50},{value:0}],STR={},getQuestionTypes=function(){return[{type:"MULTICHOICE",abbr:["MC"],name:STR.multichoice,summary:STR.summary_multichoice,options:[STR.selectinline,STR.singleyes]},{type:"MULTICHOICE_H",abbr:["MCH"],name:STR.multichoice,summary:STR.summary_multichoice,options:[STR.horizontal,STR.singleyes]},{type:"MULTICHOICE_V",abbr:["MCV"],name:STR.multichoice,summary:STR.summary_multichoice,options:[STR.vertical,STR.singleyes]},{type:"MULTICHOICE_S",abbr:["MCS"],name:STR.multichoice,summary:STR.summary_multichoice,options:[STR.selectinline,STR.shuffle,STR.singleyes]},{type:"MULTICHOICE_HS",abbr:["MCHS"],name:STR.multichoice,summary:STR.summary_multichoice,options:[STR.horizontal,STR.shuffle,STR.singleyes]},{type:"MULTICHOICE_VS",abbr:["MCVS"],name:STR.multichoice,summary:STR.summary_multichoice,options:[STR.vertical,STR.shuffle,STR.singleyes]},{type:"MULTIRESPONSE",abbr:["MR"],name:STR.multiresponse,summary:STR.summary_multichoice,options:[STR.multi_vertical,STR.singleno]},{type:"MULTIRESPONSE_H",abbr:["MRH"],name:STR.multiresponse,summary:STR.summary_multichoice,options:[STR.multi_horizontal,STR.singleno]},{type:"MULTIRESPONSE_S",abbr:["MRS"],name:STR.multiresponse,summary:STR.summary_multichoice,options:[STR.multi_vertical,STR.shuffle,STR.singleno]},{type:"MULTIRESPONSE_HS",abbr:["MRHS"],name:STR.multiresponse,summary:STR.summary_multichoice,options:[STR.multi_horizontal,STR.shuffle,STR.singleno]},{type:"NUMERICAL",abbr:["NM"],name:STR.numerical,summary:STR.summary_numerical},{type:"SHORTANSWER",abbr:["SA","MW"],name:STR.shortanswer,summary:STR.summary_shortanswer,options:[STR.caseno]},{type:"SHORTANSWER_C",abbr:["SAC","MWC"],name:STR.shortanswer,summary:STR.summary_shortanswer,options:[STR.caseyes]}]};let _editor=null,_form=null,_answerdata=[],_qtype=null,_selectedOffset=-1,_marks=1,_modal=null,_firstAnswer=null;_exports.onInit=function(ed){_editor=ed,_addMarkers(),(async()=>{(0,_str.get_strings)([{key:"answer",component:"question"},{key:"chooseqtypetoadd",component:"question"},{key:"defaultmark",component:"question"},{key:"feedback",component:"question"},{key:"correct",component:"question"},{key:"incorrect",component:"question"},{key:"addmoreanswerblanks",component:"qtype_calculated"},{key:"delete",component:"core"},{key:"up",component:"core"},{key:"down",component:"core"},{key:"tolerance",component:"qtype_calculated"},{key:"grade",component:"grades"},{key:"caseno",component:"mod_quiz"},{key:"caseyes",component:"mod_quiz"},{key:"answersingleno",component:"qtype_multichoice"},{key:"answersingleyes",component:"qtype_multichoice"},{key:"layoutselectinline",component:"qtype_multianswer"},{key:"layouthorizontal",component:"qtype_multianswer"},{key:"layoutvertical",component:"qtype_multianswer"},{key:"shufflewithin",component:"mod_quiz"},{key:"layoutmultiple_horizontal",component:"qtype_multianswer"},{key:"layoutmultiple_vertical",component:"qtype_multianswer"},{key:"pluginnamesummary",component:"qtype_multichoice"},{key:"pluginnamesummary",component:"qtype_shortanswer"},{key:"pluginnamesummary",component:"qtype_numerical"},{key:"multichoice",component:_common.component},{key:"multiresponse",component:_common.component},{key:"numerical",component:"mod_quiz"},{key:"shortanswer",component:"mod_quiz"},{key:"cancel",component:"core"},{key:"select",component:_common.component},{key:"insert",component:_common.component},{key:"pluginname",component:_common.component},{key:"customgrade",component:_common.component},{key:"err_custom_rate",component:_common.component},{key:"err_empty_answer",component:_common.component},{key:"err_none_correct",component:_common.component},{key:"err_not_numeric",component:_common.component}]).then((function(){const args=Array.from(arguments);return["answer","chooseqtypetoadd","defaultmark","feedback","correct","incorrect","addmoreanswerblanks","delete","up","down","tolerance","grade","caseno","caseyes","singleno","singleyes","selectinline","horizontal","vertical","shuffle","multi_horizontal","multi_vertical","summary_multichoice","summary_shortanswer","summary_numerical","multichoice","multiresponse","numerical","shortanswer","btn_cancel","btn_select","btn_insert","title","custom_grade","err_custom_rate","err_empty_answer","err_none_correct","err_not_numeric"].map(((l,i)=>(STR[l]=args[0][i],""))),""})).catch((()=>""))})()};const _createModal=async function(){const cfg={title:STR.title,templateContext:{elementid:_editor.id},removeOnClose:!0,large:!0};_modal="function"==typeof _modal2.default.create?await _modal2.default.create(cfg):await _modal_factory.default.create(cfg)};_exports.displayDialogue=async function(){await _createModal();var subquestion=resolveSubquestion();subquestion?(_firstAnswer=null,_selectedOffset=indexOfNode(_editor.dom.select("."+markerClass),subquestion),_parseSubquestion(subquestion.innerHTML),_setDialogueContent(_qtype)):(_firstAnswer=_editor.selection.getContent(),_selectedOffset=-1,_setDialogueContent())};const _addMarkers=function(){let m,content=_editor.getContent(),newContent="";if(-1===content.indexOf(markerClass)){do{if(m=content.match(reQtype),!m){newContent+=content;break}const pos=content.indexOf(m[0]);newContent+=content.substring(0,pos)+markerSpan+content.substring(pos,pos+m[0].length),content=content.substring(pos+m[0].length);let level=(m[0].match(/\{/g)||[]).length;if(1!==level){for(;level>1;){const a=content.indexOf("{"),b=content.indexOf("}");a>-1&&b>-1&&a<b?(level++,newContent=content.substring(0,a),content=content.substring(a+1)):b>-1?(newContent=content.substring(0,b),content=content.substring(b+1),level--):level=1}newContent+="</span>"}else newContent+="</span>"}while(m);_editor.setContent(newContent)}},_removeMarkers=function(){for(const span of _editor.dom.select("span."+markerClass))_editor.dom.setOuterHTML(span,span.classList.contains("new")?"":span.innerHTML)};_exports.onBeforeGetContent=function(content){if(!isNull(content.source_view)&&!0===content.source_view){var onClose=function(){_editor.off("close",onClose),_addMarkers()};_editor.on("CloseWindow",(()=>{onClose()})),_modal||_removeMarkers()}};_exports.onSubmit=function(){_removeMarkers()};const _setDialogueContent=function(qtype,nomodalevents){const footer=_mustache.default.render(TEMPLATE.FOOTER,{cancel:STR.btn_cancel,submit:qtype?STR.btn_insert:STR.btn_select});let contentText;contentText=qtype?_mustache.default.render(TEMPLATE.FORM,{CSS:CSS,STR:STR,answerdata:_answerdata,elementid:getUuid(),qtype:_qtype,name:getQuestionTypes().filter((q=>_qtype===q.type))[0].name,marks:_marks,numerical:"NUMERICAL"===_qtype||"NM"===_qtype}):_mustache.default.render(TEMPLATE.TYPE,{CSS:CSS,STR:STR,qtype:_qtype,types:getQuestionTypes()}),_modal.setBody(contentText),_modal.setFooter(footer),_modal.show();const $root=_modal.getRoot();if(_form=$root.get(0).querySelector("form"),!nomodalevents){if(_modal.registerEventListeners(),_modal.registerCloseOnSave(),_modal.registerCloseOnCancel(),$root.on(_modal_events.default.cancel,_cancel),!qtype)return void $root.on(_modal_events.default.save,_choiceHandler);$root.on(_modal_events.default.save,_setSubquestion)}const getTarget=e=>{let p=e.target;for(;!isNull(p)&&1===p.nodeType&&"A"!==p.tagName;)p=p.parentNode;return isNull(p.classList)?null:p};_form.addEventListener("click",(e=>{const p=getTarget(e);if(!isNull(p))return p.classList.contains(CSS.DELETE)?(e.preventDefault(),void _deleteAnswer(p)):p.classList.contains(CSS.ADD)?(e.preventDefault(),void _addAnswer(p)):p.classList.contains(CSS.LOWER)?(e.preventDefault(),void _lowerAnswer(p)):void(p.classList.contains(CSS.RAISE)&&(e.preventDefault(),_raiseAnswer(p)))})),_form.addEventListener("keyup",(e=>{const p=getTarget(e);isNull(p)||(p.classList.contains(CSS.ANSWER)||p.classList.contains(CSS.FEEDBACK))&&(e.preventDefault(),_addAnswer(p))})),_form.querySelectorAll("."+CSS.FRACTION).forEach((sel=>{sel.addEventListener("change",(e=>{const id=e.target.getAttribute("id");"__custom__"===e.target.value?document.getElementById(id+"_custom").parentNode.classList.remove("hidden"):document.getElementById(id+"_custom").parentNode.classList.add("hidden")}))}))},_choiceHandler=function(e){e.preventDefault();let qtype=_form.querySelector("input[name=qtype]:checked");qtype&&(_qtype=qtype.value);const max=-1!==_qtype.indexOf("SHORTANSWER")||"NUMERICAL"===_qtype?1:3,blankAnswer={id:getUuid(),answer:"",feedback:"",fraction:100,fractionOptions:getFractionOptions(""),tolerance:0,isCustomGrade:!1};_answerdata=[];for(let x=0;x<max;x++)_answerdata.push({...blankAnswer,id:getUuid()});_answerdata[0].fractionOptions=getFractionOptions("="),_firstAnswer&&(_answerdata[0].answer=_firstAnswer),_modal.destroy(),_createModal().then((()=>(_setDialogueContent(_qtype),_form.querySelector("."+CSS.ANSWER).focus(),""))).catch((()=>""))},_parseSubquestion=function(question){_answerdata=[];const parts=reQtype.exec(question);if(reQtype.lastIndex=0,!parts)return;_marks=parts[1],_qtype=parts[2],_qtype.length<5&&getQuestionTypes().forEach((l=>{for(const a of l.abbr)if(a===_qtype)return void(_qtype=l.type)}));const answers=parts[7].match(/(\\.|[^~])*/g);answers&&answers.forEach((function(answer){const options=/^(%(-?[.0-9]+)%|(=?))((\\.|[^#])*)#?(.*)/.exec(answer);if(options&&options[4]){let frac="";if(options[3]?frac="="===options[3]?"=":100:options[2]&&(frac=options[2]),"NUMERICAL"===_qtype||"NM"===_qtype){const tolerance=/^([^:]*):?(.*)/.exec(options[4])[2]||0;return void _answerdata.push({id:getUuid(),answer:strdecode(options[4].replace(/:.*/,"")),feedback:strdecode(options[6]),tolerance:tolerance,fraction:frac,fractionOptions:getFractionOptions(frac),isCustomGrade:isCustomGrade(frac)})}_answerdata.push({answer:strdecode(options[4]),id:getUuid(),feedback:strdecode(options[6]),fraction:frac,fractionOptions:getFractionOptions(frac),isCustomGrade:isCustomGrade(frac)})}}))},_addAnswer=function(a){let index=indexOfNode(_form.querySelectorAll("."+CSS.ADD),a);-1===index&&(index=0);let fraction="",answer="",feedback="",tolerance=0;a.closest("li")&&(fraction=a.closest("li").querySelector("."+CSS.FRACTION).value,"__custom__"===fraction&&(fraction=a.closest("li").querySelector("."+CSS.FRAC_CUSTOM).value),answer=a.closest("li").querySelector("."+CSS.ANSWER).value,feedback=a.closest("li").querySelector("."+CSS.FEEDBACK).value,a.closest("li").querySelector("."+CSS.TOLERANCE)&&(tolerance=a.closest("li").querySelector("."+CSS.TOLERANCE).value)),_processFormData(),_answerdata.splice(index,0,{id:getUuid(),answer:answer,feedback:feedback,fraction:fraction,fractionOptions:getFractionOptions(fraction),tolerance:tolerance,isCustomGrade:isCustomGrade(fraction)}),_setDialogueContent(_qtype,!0),_form.querySelectorAll("."+CSS.ANSWER).item(index).focus()},_deleteAnswer=function(a){let index=indexOfNode(_form.querySelectorAll("."+CSS.DELETE),a);-1===index&&(index=indexOfNode(_form.querySelectorAll("li"),a.closest("li"))),_processFormData(),_answerdata.splice(index,1),_setDialogueContent(_qtype,!0);const answers=_form.querySelectorAll("."+CSS.ANSWER);index=Math.min(index,answers.length-1),answers.item(index).focus()},_lowerAnswer=function(a){const li=a.closest("li");li.before(li.nextSibling),li.querySelector("."+CSS.ANSWER).focus()},_raiseAnswer=function(a){const li=a.closest("li");li.after(li.previousSibling),li.querySelector("."+CSS.ANSWER).focus()},_cancel=function(e){e.preventDefault();for(const span of _editor.dom.select("."+markerClass+".new"))span.remove();_modal.destroy(),_editor.focus(),_modal=null},_setSubquestion=function(e){e.preventDefault();const errMsg=_form.querySelector(".msg-error"),formErrors=_processFormData(!0);if(formErrors.length>0){const unique=formErrors.filter(((value,index,array)=>array.indexOf(value)===index));return errMsg.innerHTML="<ul><li>"+unique.join("</li><li>")+"</li></ul>",void errMsg.classList.remove("hidden")}errMsg.classList.add("hidden");let question="{"+_marks+":"+_qtype+":";for(let i=0;i<_answerdata.length;i++)question+=_answerdata[i].fraction&&!isNaN(_answerdata[i].fraction)?"%"+_answerdata[i].fraction+"%":_answerdata[i].fraction,question+=strencode(_answerdata[i].answer),"NM"!==_qtype&&"NUMERICAL"!==_qtype||(question+=":"+_answerdata[i].tolerance),_answerdata[i].feedback&&(question+="#"+strencode(_answerdata[i].feedback)),i<_answerdata.length-1&&(question+="~");question+="}",_modal.destroy(),_modal=null,_editor.focus(),_selectedOffset>-1?_editor.dom.select("."+markerClass)[_selectedOffset].innerHTML=question:_editor.insertContent(markerSpan+question+"</span>")},_processFormData=function(validate){let answer;_answerdata=[];let tolerance=0,hasErrors=[],foundCorrect=!1;const answers=_form.querySelectorAll("."+CSS.ANSWER),feedbacks=_form.querySelectorAll("."+CSS.FEEDBACK),fractions=_form.querySelectorAll("."+CSS.FRACTION),customGrades=_form.querySelectorAll("."+CSS.FRAC_CUSTOM),tolerances=_form.querySelectorAll("."+CSS.TOLERANCE);for(let i=0;i<answers.length;i++){answers.item(i).classList.remove("error"),customGrades.item(i).classList.remove("error"),answer=answers.item(i).value,"NM"!==_qtype&&"NUMERICAL"!==_qtype||(answer=Number(answer),tolerance=Number(tolerances.item(i).value),tolerances.item(i).classList.remove("error"),validate&&(isNaN(answer)&&(answers.item(i).classList.add("error"),hasErrors.push(STR.err_not_numeric)),isNaN(tolerance)&&(tolerances.item(i).classList.add("error"),hasErrors.push(STR.err_not_numeric))));const currentAnswer={answer:answer,id:getUuid(),feedback:feedbacks.item(i).value,fraction:"__custom__"===fractions.item(i).value?customGrades.item(i).value:fractions.item(i).value,fractionOptions:getFractionOptions(fractions.item(i).value),tolerance:tolerance,isCustomGrade:"__custom__"===fractions.item(i).value};validate&&(currentAnswer.isCustomGrade&&(isNaN(currentAnswer.fraction)||currentAnswer.fraction<-100||currentAnswer.fraction>100||""===currentAnswer.fraction.trim())&&(hasErrors.push(STR.err_custom_rate),customGrades.item(i).classList.add("error")),"100"!==currentAnswer.fraction&&"="!==currentAnswer.fraction||""===answers.item(i).value.trim()||(foundCorrect=!0)),_answerdata.push(currentAnswer),_marks=_form.querySelector("."+CSS.MARKS).value}return validate?hasErrors.concat(_applyErrorsOnAnswers(answers,foundCorrect)):hasErrors},_applyErrorsOnAnswers=function(answers,foundCorrectAnswer){if(foundCorrectAnswer){for(let i=0;i<_answerdata.length;i++)""===answers.item(i).value.trim()&&_answerdata.splice(i,1);return[]}let hasErrors=[],focusFirst=!1,noneCorrect=!0;for(let i=0;i<answers.length;i++)""===answers.item(i).value.trim()&&(answers.item(i).classList.add("error"),focusFirst||(hasErrors.push(STR.err_empty_answer),answers.item(i).focus(),focusFirst=!0)),"100"!==_answerdata[i].fraction&&"="!==_answerdata[i].fraction||(noneCorrect=!1);return noneCorrect&&hasErrors.push(STR.err_none_correct),hasErrors},resolveSubquestion=function(){let span=_editor.selection.getStart();return!isNull(span.classList)&&span.classList.contains(markerClass)?span:(_editor.dom.getParents(span,(elm=>!(isNull(elm.classList)||!elm.classList.contains(markerClass))&&elm)),!1)};_exports.resolveSubquestion=resolveSubquestion}));

//# sourceMappingURL=ui.min.js.map